# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/ux500.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ux500 platforms device tree bindings

maintainers:
  - Linus Walleij <linus.walleij@linaro.org>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:

      - description: ST-Ericsson HREF (pre-v60)
        items:
          - const: st-ericsson,mop500
          - const: st-ericsson,u8500

      - description: ST-Ericsson HREF520
        items:
          - const: st-ericsson,href520
          - const: st-ericsson,u8500

      - description: ST-Ericsson HREF (v60+)
        items:
          - const: st-ericsson,hrefv60+
          - const: st-ericsson,u8500

      - description: Calao Systems Snowball
        items:
          - const: calaosystems,snowball-a9500
          - const: st-ericsson,u9500

      - description: Samsung Galaxy Ace 2 (GT-I8160)
        items:
          - const: samsung,codina
          - const: st-ericsson,u8500

      - description: Samsung Galaxy Exhibit (SGH-T599)
        items:
          - const: samsung,codina-tmo
          - const: st-ericsson,u8500

      - description: Samsung Galaxy Beam (GT-I8530)
        items:
          - const: samsung,gavini
          - const: st-ericsson,u8500

      - description: Samsung Galaxy S III mini (GT-I8190)
        items:
          - const: samsung,golden
          - const: st-ericsson,u8500

      - description: Samsung Galaxy S Advance (GT-I9070)
        items:
          - const: samsung,janice
          - const: st-ericsson,u8500

      - description: Samsung Galaxy Amp (SGH-I407)
        items:
          - const: samsung,kyle
          - const: st-ericsson,u8500

      - description: Samsung Galaxy XCover 2 (GT-S7710)
        items:
          - const: samsung,skomer
          - const: st-ericsson,u8500

additionalProperties: true
